/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { waitForAsync, ComponentFixture, TestBed } from '@angular/core/testing';
import { MatDialogRef } from '@angular/material/dialog';
import { MatListModule } from '@angular/material/list';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { BciMessagesFilterComponent } from './bci-messages-filter.component';

describe('BciMessagesFilterComponent', () => {
  let component: BciMessagesFilterComponent;
  let fixture: ComponentFixture<BciMessagesFilterComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [MatListModule, BrowserAnimationsModule],
        declarations: [BciMessagesFilterComponent],
        providers: [
          {
            provide: MatDialogRef,
            useValue: {
              // eslint-disable-next-line no-empty-function
              close: () => {},
            },
          },
        ],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(BciMessagesFilterComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
